Skip to main content
`Ctrl`+`K`

# PetscViewerGLVisType

indicates what type of `PETSCVIEWERGLVIS` viewer to use

## Synopsis

    typedef enum {
      PETSC_VIEWER_GLVIS_DUMP,
      PETSC_VIEWER_GLVIS_SOCKET
    } PetscViewerGLVisType;

## Values

- `PETSC_VIEWER_GLVIS_DUMP` - save the data to a file

- `PETSC_VIEWER_GLVIS_SOCKET` - communicate the data to another program via a socket

## See Also

Viewers: Looking at PETSc Objects, `PETSCVIEWERGLVIS`, `PetscViewerGLVisOpen()`

## Level

beginner

## Location

include/petscviewer.h

## Examples

src/ksp/ksp/tutorials/ex43.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages